Can't run app on genymotion


#1

Hi, I followed instructions on how to configure Expo and Genymotion to run together. This is an error I get when running android simulator:

Please guide me with this.


#2

Did the Expo app succeed in installing on the device? (is there an Expo icon on the home screen?)


#3

Also, you might try following these instructions to do it manually:

  1. Download this: http://expo.io/--/api/v2/versions/download-android-apk
  2. Attach android device or open emulator
  3. adb install [PATH TO .apk]

#4

Hi Ben, below is an output:

Users-MacBook-Pro:android_apk_fix_prez Przemek$ adb install /Users/Przemek/.expo/android_apk_fix_prez/Exponent-1.16.1.apk
/Users/Przemek/.expo/android_apk_fix_prez/Exponent-1.16.1.apk: 1 file pushed. 50.7 MB/s (23626052 bytes in 0.444s)
	pkg: /data/local/tmp/Exponent-1.16.1.apk
Failure [INSTALL_FAILED_OLDER_SDK]

Users-MacBook-Pro:android_apk_fix_prez Przemek$ adb devices
List of devices attached
192.168.56.101:5555	device

Does this mean I should update android SDK shipped with genymotion? If so, I work on the lastest version of genymotion. I checked earlier with SDK from Android Studio with same results.


#5

Actually, I start to suspect that android version on simulator is too old, that is v4, I’ll try with higher version.


#6

OK it works fine after running on Android v6, thanks for help